import 'package:badges/badges.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:hyzp_ybqx/pages/Login/FaceReg.dart';
import 'package:hyzp_ybqx/pages/Login/ModifyPassword.dart';

import '../../components/commonFun.dart';
import '../../widget/JdButton.dart';

class page5_userManager extends StatefulWidget {
  page5_userManager({Key key}) : super(key: key);

  _LoginPageState createState() => _LoginPageState();
}

class _LoginPageState extends State<page5_userManager> {
  dispose() {
    super.dispose();
  }

  @override
  void initState() {
    super.initState();
  }

  ////////
  static onNullFun() {}

  Widget _getListTile(title,
      {String leadPath = '',
      Color leadColor,
      onTapFun = onNullFun,
      onLongPressFun = onNullFun,
      size = 16.0,
      bool bBadge = false}) {
    return Column(
      children: <Widget>[
        ListTile(
          leading: bBadge
              ? Badge(
                  position: BadgePosition.topEnd(top: -7, end: -12),
                  badgeContent: null,
                  child: Image.asset(
                    leadPath,
                    height: ScreenUtil().setHeight(78),
                    fit: BoxFit.fitHeight,
                  ),
                )
              : Image.asset(
                  leadPath,
                  height: ScreenUtil().setHeight(78),
                  fit: BoxFit.fitHeight,
                ),
          title: new Text(title, style: TextStyle(fontSize: size)),
          trailing: new Icon(Icons.arrow_forward_ios),
          contentPadding: EdgeInsets.symmetric(horizontal: 20.0, vertical: 0),
          enabled: true,
          onTap: onTapFun,
          onLongPress: onLongPressFun,
        ),
        Divider(
          height: 1.0,
        ),
      ],
    );
  }

  List<Widget> _listViewUser = [];

  Color _greenColor = Color.fromRGBO(36, 206, 192, 1); //绿色
  Color _deepBlueColor = Color.fromRGBO(79, 118, 230, 1); //深蓝
  Color _deepGreyColor = Color.fromRGBO(116, 139, 161, 1); //深灰
  Color _ligthBlueColor = Color.fromRGBO(80, 159, 245, 1); //亮蓝

  OnTap_FaceReg() async {
    Navigator.of(context).push(MaterialPageRoute(builder: (context) => FaceReg()));
  }

  OnTap_modify_password() {
    Navigator.of(context).push(MaterialPageRoute(builder: (context) => ModifyPassword()));
  }

  ////////

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: PreferredSize(
        preferredSize: Size.fromHeight(ScreenUtil().setHeight(173)), // 设置appBar高度
        // 设置appBar高度
        child: AppBar(
          automaticallyImplyLeading: false,
          centerTitle: true,
          titleSpacing: 0.0,
          //设置title的左边距
          flexibleSpace: Container(
            //SizedBox(height: ScreenUtil().statusBarHeight), //显示顶部状态栏
            // SizedBox(height: ScreenUtil().setHeight(10)), //显示顶部状态栏
            padding: EdgeInsets.only(top: ScreenUtil().statusBarHeight), //留出顶部状态栏高度
            child: Container(
              //height: ScreenUtil().setHeight(173),
              decoration: BoxDecoration(
                gradient: LinearGradient(
                  begin: Alignment.centerLeft,
                  end: Alignment.centerRight,
                  colors: [
                    Color.fromRGBO(12, 186, 156, 1),
                    Color.fromRGBO(39, 127, 235, 1),
                  ],
                ),
              ),
              // decoration: BoxDecoration(
              //   gradient: LinearGradient(colors: [
              //     Color(0xFF0018EB),
              //     Color(0xFF01C1D9),
              //   ], begin: Alignment.bottomCenter, end: Alignment.topCenter),
              // ),
            ),
          ),
          title: Padding(
            padding: EdgeInsets.only(left: 0, right: 0),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.start,
              children: [
                getIconAndTextButton(
                  iconColor: Colors.white,
                  iconData: Icons.chevron_left_outlined,
                  onPress: () {
                    Navigator.pop(context);
                  },
                ),
                Expanded(
                  child: Text("账户管理",
                      style: TextStyle(color: Colors.white, fontSize: 20),
                      textAlign: TextAlign.center,
                      overflow: TextOverflow.ellipsis),
                ),
                SizedBox(width: 50),
              ],
            ),
          ),
        ),
      ),
      body: Container(
        padding: EdgeInsets.only(top: 30, bottom: 20, left: 20, right: 20),
        child: ListView(
          children: <Widget>[
            Center(
              child: Container(
                margin: EdgeInsets.only(top: 30),
                height: ScreenUtil().setWidth(160),
                width: ScreenUtil().setWidth(160),
                //child: Image.asset('assets/images/user.png', fit: BoxFit.cover),
                child: Image.asset('assets/images/ybsthbj.png', fit: BoxFit.fitHeight),
              ),
            ),
            SizedBox(height: 50),
            //账户管理项目
            _getListTile('修改密码',
                leadPath: 'assets/images/修改密码.png',
                leadColor: _deepBlueColor,
                onTapFun: OnTap_modify_password),
            // _getListTile('人脸注册',
            //     leadPath: 'assets/images/人脸注册.png',
            //     leadColor: _ligthBlueColor,
            //     onTapFun: OnTap_FaceReg),
            SizedBox(height: 60),
            JdButton(
              height: ScreenUtil().setHeight(382),
              //height: 126,
              text: "返回",
              color: Colors.blueAccent,
              onTop: () {
                Navigator.pop(context);
              },
            )
          ],
        ),
      ),
    );
  }
}
